Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_LF_Invocation_Event Class Reference

Use the Leader/Follower loop to wait for one specific event in the invocation path. More...

`#include <LF_Invocation_Event.h>`

Inheritance diagram for TAO_LF_Invocation_Event:

[legend]
Collaboration diagram for TAO_LF_Invocation_Event:

[legend]
List of all members.

## Public Methods
| TAO_LF_Invocation_Event (void)
| Constructor.
virtual | ~TAO_LF_Invocation_Event (void)
| Destructor.
int | successful (void) const
int | error_detected (void) const
## Protected Methods
virtual void | state_changed_i (int new_state)
| Validate and perform the state change.
## Private Methods
int | is_state_final (void)
| Check whether we have reached the final state..

## Detailed Description

Use the Leader/Follower loop to wait for one specific event in the invocation path.

Concrete event types and manipulation class through which the invocation data path would flow. Typically state changes of interest include whether a message has arrived, or timedout waiting for a message or if the cionnection is closed waiting for a message. Details of the states are documented within the class.

## Constructor & Destructor Documentation

TAO_LF_Invocation_Event::TAO_LF_Invocation_Event | ( | void |  | ) |

| Constructor.

TAO_LF_Invocation_Event::~TAO_LF_Invocation_Event | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_LF_Invocation_Event::error_detected | ( | void |  | ) | const`[virtual]`

| Return 1 if an error was detected while waiting for the event Implements TAO_LF_Event.

int TAO_LF_Invocation_Event::is_state_final | ( | void |  | ) | `[private, virtual]`

| Check whether we have reached the final state.. Implements TAO_LF_Event.

void TAO_LF_Invocation_Event::state_changed_i | ( | int | new_state | ) | `[protected, virtual]`

| Validate and perform the state change. Implements TAO_LF_Event.

int TAO_LF_Invocation_Event::successful | ( | void |  | ) | const`[virtual]`

| Return 1 if the condition was satisfied successfully, 0 if it has not Implements TAO_LF_Event.

The documentation for this class was generated from the following files:

- LF_Invocation_Event.h
- LF_Invocation_Event.cpp